org.jbpm.services.api.utils

## Interface KieServiceConfigurator

- All Known Implementing Classes:
    DefaultKieServiceConfigurator

      public interface KieServiceConfigurator

  Configurator for kie service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the configurator.
    `void` | `configureServices(String puName, org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback)` Configures a new kie service.
    `DeploymentUnit` | `createDeploymentUnit(String groupId, String artifactid, String version)` Created a new deployment unit
    `AdvanceRuntimeDataService` | `getAdvanceVariableDataService()` Return related data regarding variables (case, process, task)
    `DefinitionService` | `getBpmn2Service()` Returns the definition service.
    `DeploymentService` | `getDeploymentService()` Returns the deployment service.
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()` Returns the identity provider.
    `ProcessInstanceAdminService` | `getProcessAdminService()` Returns the process instance admin service
    `ProcessService` | `getProcessService()` Returns the process service.
    `QueryService` | `getQueryService()` Returns the query service
    `RuntimeDataService` | `getRuntimeDataService()` Returns the runtime data service.
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()` Returns the user group callback.
    `UserTaskService` | `getUserTaskService()` Returns the user task service.

- - ### Method Detail

    - #### configureServices

          void configureServices(String puName,
                                 org.kie.internal.identity.IdentityProvider identityProvider,
                                 org.kie.api.task.UserGroupCallback userGroupCallback)

      Configures a new kie service.
      Parameters:
        `puName` -
        `identityProvider` -
        `userGroupCallback` -

    - #### createDeploymentUnit

          DeploymentUnit createDeploymentUnit(String groupId,
                                              String artifactid,
                                              String version)

      Created a new deployment unit
      Parameters:
        `groupId` -
        `artifactid` -
        `version` -
      Returns:
        @`DeploymentUnit` deployment unit

    - #### close

          void close()

      Closes the configurator.

    - #### getDeploymentService

          DeploymentService getDeploymentService()

      Returns the deployment service.
      Returns:
        @`DeploymentService` deployment service

    - #### getBpmn2Service

          DefinitionService getBpmn2Service()

      Returns the definition service.
      Returns:
        @`DefinitionService` definition service

    - #### getRuntimeDataService

          RuntimeDataService getRuntimeDataService()

      Returns the runtime data service.
      Returns:
        @`RuntimeDataService` runtime data service

    - #### getAdvanceVariableDataService

          AdvanceRuntimeDataService getAdvanceVariableDataService()

      Return related data regarding variables (case, process, task)
      Returns:
        @`AdvanceRuntimeDataService`

    - #### getProcessService

          ProcessService getProcessService()

      Returns the process service.
      Returns:
        @`ProcessService` process service

    - #### getUserTaskService

          UserTaskService getUserTaskService()

      Returns the user task service.
      Returns:
        @`UserTaskService` user task service

    - #### getQueryService

          QueryService getQueryService()

      Returns the query service
      Returns:
        @`QueryService` query service

    - #### getProcessAdminService

          ProcessInstanceAdminService getProcessAdminService()

      Returns the process instance admin service
      Returns:
        @`ProcessInstanceAdminService` process intstance admin service

    - #### getIdentityProvider

          org.kie.internal.identity.IdentityProvider getIdentityProvider()

      Returns the identity provider.
      Returns:
        @`IdentityProvider` identity provider

    - #### getUserGroupCallback

          org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Returns the user group callback.
      Returns:
        @`UserGroupCallback` user group callback

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.